Subject: Re: [PATCH V2] wifi: ath6kl: Replace ath6kl_usb_submit_ctrl_in with usb_control_msg_recv

From: Kalle Valo <[email-masked]>
Date: Mon, 26 Aug 2024 18:01:35 +0300

Edward Adam Davis <[email-masked]> writes:

> On Mon, 26 Aug 2024 14:42:00 +0300, Kalle Valo wrote:
>> > ath6kl_usb_submit_ctrl_in() did not take into account the situation where
>> > the length of the data read from the device is not equal to the len, and
>> > such missing judgments will result in subsequent code using incorrect data.
>> >
>> > usb_control_msg_recv() handles the abnormal length of the returned data,
>> > so using it directly can fix this warning.
>> >
>> > Reported-by: [email-masked]
>> > Signed-off-by: Edward Adam Davis <[email-masked]>
>> 
>> Did you test this on real ath6kl hardware?
>
> I don't have ath6kl hardware, I have only tested it on a virtual machine.

Virtual machine? I guess you mean syzbot? That gives no assurance if
this works on a real device or not. Please add to the commit message
"Compile tested only" so that we know it's untested.

And I have to warn that in wireless we are very reluctant to take syzbot
fixes which have not been tested on real hardware, they have caused
problems in the past.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches
https://docs.kernel.org/process/submitting-patches.html